package metadata

import (
	"git.gammaspectra.live/S.O.N.G/Kirika/audio/packetizer"
	"git.gammaspectra.live/S.O.N.G/MeteorLight/queue/track"
)

type Packet struct {
	SampleNumber int64
	TrackEntry   *track.Entry
}

func (p *Packet) KeepMode() packetizer.KeepMode {
	return packetizer.KeepLast
}

func (p *Packet) GetStartSampleNumber() int64 {
	return p.SampleNumber
}

func (p *Packet) GetEndSampleNumber() int64 {
	return p.SampleNumber
}

func (p *Packet) Category() int64 {
	return -1
}

func (p *Packet) GetData() []byte {
	return nil
}
